curl "https://kodostatus.com/api/v1/ssl-monitors" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors', {
headers: { 'X-API-Key': 'your_api_key' }
});
const { ssl_monitors } = await response.json();
{
"ssl_monitors": [
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 30,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true
},
"service_id": "svc_xyz789",
"created_at": "2024-01-01T00:00:00Z"
}
]
}
SSL Monitors
List SSL Monitors
Retrieve all SSL certificate monitors for your organization
GET
/
ssl-monitors
curl "https://kodostatus.com/api/v1/ssl-monitors" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors', {
headers: { 'X-API-Key': 'your_api_key' }
});
const { ssl_monitors } = await response.json();
{
"ssl_monitors": [
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 30,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true
},
"service_id": "svc_xyz789",
"created_at": "2024-01-01T00:00:00Z"
}
]
}
Request
No request body required.Query Parameters
number
default:"50"
Maximum number of monitors to return (1-100)
number
default:"0"
Number of monitors to skip for pagination
Response
array
Array of SSL monitor objects
Show SSL Monitor Object
Show SSL Monitor Object
string
Unique identifier for the SSL monitor
string
Domain being monitored (e.g., “api.example.com”)
number
Port to check (default: 443)
number
Days before expiration to trigger alerts
boolean
Whether monitoring is active
string
ISO 8601 timestamp of last check
object
string
Linked service ID (if any)
string
ISO 8601 timestamp
curl "https://kodostatus.com/api/v1/ssl-monitors" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors', {
headers: { 'X-API-Key': 'your_api_key' }
});
const { ssl_monitors } = await response.json();
{
"ssl_monitors": [
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 30,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true
},
"service_id": "svc_xyz789",
"created_at": "2024-01-01T00:00:00Z"
}
]
}
⌘I